Overview
GET
/notifications/preferences/{category}notificationsGet the caller's preference for one category (defaults if unset)
Fetch a record from preferences by category.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- categorypathstring
Responses
200
Preference for the category
- category"account" | "community_reply" | "community_mention" | …
- emailboolean
- smsboolean
Example
{
"category": "account",
"email": true,
"sms": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/notifications/preferences/{category}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/notifications/preferences/{category}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();